'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = require('classnames/bind');

var _bind2 = _interopRequireDefault(_bind);

require('terra-base/lib/baseStyles');

var _Textarea = require('./Textarea.scss');

var _Textarea2 = _interopRequireDefault(_Textarea);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var cx = _bind2.default.bind(_Textarea2.default);

var propTypes = {
  /**
   * The defaultValue of the textarea. Use this to create an uncontrolled textarea.
   */
  defaultValue: _propTypes2.default.string,
  /**
   * Name of the input.
   */
  name: _propTypes2.default.string,
  /**
   * Function to trigger when user changes the textarea value. Provide a function to create a controlled input.
   */
  onChange: _propTypes2.default.func,
  /**
   * Whether the input is required or not.
   */
  required: _propTypes2.default.bool,
  /**
   * The value of the textarea. Use this to create a controlled textarea.
   */
  value: _propTypes2.default.string
};

var defaultProps = {
  defaultValue: undefined,
  name: null,
  onChange: undefined,
  required: false,
  value: undefined
};

var Textarea = function Textarea(_ref) {
  var defaultValue = _ref.defaultValue,
      name = _ref.name,
      onChange = _ref.onChange,
      required = _ref.required,
      value = _ref.value,
      customProps = _objectWithoutProperties(_ref, ['defaultValue', 'name', 'onChange', 'required', 'value']);

  var additionalTextareaProps = _extends({}, customProps);
  var textareaClasses = cx(['textarea', additionalTextareaProps.className]);

  if (required) {
    additionalTextareaProps['aria-required'] = 'true';
  }

  if (value !== undefined) {
    additionalTextareaProps.value = value;
  } else {
    additionalTextareaProps.defaultValue = defaultValue;
  }

  return _react2.default.createElement('textarea', _extends({
    name: name,
    onChange: onChange,
    required: required
  }, additionalTextareaProps, {
    className: textareaClasses
  }));
};

Textarea.propTypes = propTypes;
Textarea.defaultProps = defaultProps;

exports.default = Textarea;